/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __SMERROR_H__
#define __SMERROR_H__


typedef int smerr_t;


/*	============================================
	Error defines
	============================================ */

const smerr_t smeOK							=0;			//
const smerr_t smeFILE_NOT_FOUND				=-1;		//
const smerr_t smeOUT_OF_MEMORY				=-2;
const smerr_t smeINTERNAL_ERROR				=-3;

const smerr_t smeXML_PARSING_ERROR			=-100;
const smerr_t smeXML_UNKNOWN_TAG			=-101;
const smerr_t smeXML_INVALID_TAG			=-102;
const smerr_t smeXML_INTERNAL_ERROR			=-103;
const smerr_t smeXML_INVALID_STATION_REF	=-104;
const smerr_t smeXML_INVALID_DOCUMENT		=-105;
const smerr_t smeXML_MISSING_ATTR			=-106;
const smerr_t smeXML_LAST_ERROR				=-199;

const smerr_t smeROUTE_NO_SUBWAYMAP			=-200;
const smerr_t smeROUTE_STATION_NOT_FOUND	=-201;
const smerr_t smeROUTE_STATION_NOT_UNIQUE	=-202;
const smerr_t smeROUTE_NO_START_STATION		=-203;
const smerr_t smeROUTE_NO_DEST_STATION		=-204;

const smerr_t smeROUTE_DEST_FOUND			=-210;
const smerr_t smeROUTE_DEST_NOT_FOUND		=-211;
const smerr_t smeROUTE_ERROR				=-212;
const smerr_t smeROUTE_NOMORE_CHANGES		=-213;
const smerr_t smeROUTE_MAX_FINDROUTE_CALLS  =-214;
const smerr_t smeROUTE_START_EQ_DEST		=-215;
const smerr_t smeROUTE_MISSING_PARAMETER	=-216;
const smerr_t smeROUTE_NOT_ON_SAME_ROUTE	=-217;
const smerr_t smeROUTE_MAX_ROUTES_FOUND		=-218;
const smerr_t smeROUTE_MAX_ROUTES_PER_LINE	=-219;
const smerr_t smeROUTE_ILLEGAL_HOUR			=-220;
const smerr_t smeROUTE_ILLEGAL_DAY			=-221;

const smerr_t smeGOT_EXCEPTION					=-300;
const smerr_t smeGOT_XML_EXCEPTION				=-301;
const smerr_t smeGOT_FILE_EXCEPTION				=-302;
const smerr_t smeGOT_MEMORY_EXCEPTION			=-303;
const smerr_t smeGOT_LINE_NOT_FOUND_EXCEPTION	=-304;
const smerr_t smeGOT_SUBWAYMAP_EXCEPTION		=-305;
const smerr_t smeGOT_NOT_ON_SAME_LINE_EXCEPTION =-306;
const smerr_t smeGOT_INVALID_STATION_EXCEPTION	=-307;


const smerr_t smeGRAPH_NO_SUBWAYMAP				=-400;
const smerr_t smeGRAPH_NO_NODES					=-401;
const smerr_t smeGRAPH_NODE_NOT_FOUND			=-402;
const smerr_t smeGRAPH_MISSING_PARAM			=-403;

const smerr_t smeDIJ_NO_START_NODE				=-400;
const smerr_t smeDIJ_ILLEGAL_SETLENGTH			=-401;
const smerr_t smeDIJ_SET_FULL					=-402;
const smerr_t smeDIJ_DEST_NOT_FOUND				=-403;
const smerr_t smeDIJ_NO_SUBWAYGRAPH				=-404;
const smerr_t smeDIJ_NO_START_STATION			=-405;
const smerr_t smeDIJ_NO_DEST_STATION			=-405;


#endif
