/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef _SMXMLSUBWAYMAPPARSER_QT__H__
#define _SMXMLSUBWAYMAPPARSER_QT__H__

#include "baseclasses.h"
#include "XMLBase.h"
#include "SMXMLSubwayMapParser.h"
#include "SMError.h"
#include "Exceptions.h"
#include "debug.h"

#include <qxml.h>

/*	===============================================
	XML Subway Map parser for usage with Qt Libary

	=============================================== */

class SMXMLSubwayMapParser_Qt : public SMXMLSubwayMapParser, public QXmlContentHandler
{
 public:
  SMXMLSubwayMapParser_Qt() : SMXMLSubwayMapParser(), _locator(NULL){};
  virtual ~SMXMLSubwayMapParser_Qt() {
	if(_locator) 
	  delete _locator;
  }


 protected:
  virtual smerr_t initParser();
  virtual smerr_t parseDocument(const char *filename);

 public:
  // ----------------------------------
  // Implementation of Qt SAX interface
  // ----------------------------------
  virtual bool startDocument();
  virtual bool endDocument();
  virtual bool startElement(const QString&, const QString&, const QString&,
							const QXmlAttributes&);
  virtual bool endElement(const QString&, const QString&, const QString&);
  virtual bool characters(const QString&);

  // pure virtual methods that must be defined
  void setDocumentLocator(QXmlLocator *) {}
  bool startPrefixMapping(const QString &, const QString &) { return TRUE; }
  bool endPrefixMapping(const QString &) { return TRUE; }
  bool ignorableWhitespace(const QString &) { return TRUE; }
  bool processingInstruction(const QString &, const QString &) { return TRUE; }
  bool skippedEntity(const QString &) { return TRUE; }
  QString errorString() { return "Hmm..."; }

 protected:
  QXmlLocator *_locator;
};


#endif
