/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/



#include <stdlib.h>
#include <unistd.h>
#include "XMLBase.h"


XMLAttribute invalidAttribute("invalid", "invalid");
XMLAttribute unknownAttribute("unknown", "(unknown)");


/*  ================================================
	Class XMLElement
	================================================ */

XMLElement::XMLElement()
{
  // cout << this << "::XMLElement()" << endl;
}

XMLElement::~XMLElement()
{
  // clean up list of attributes
  // cout << this << "::~XMLElement()" << endl;
  _name=NULL;
  _attributes.cleanup(1);
}

void XMLElement::add_attribute(const XMLString& name, const XMLString& value)
{
  XMLAttribute *attr;

  attr=new XMLAttribute(name, value);
  _attributes.add(attr);
}

XMLAttribute& XMLElement::get_attribute(const XMLString& name)
{
  ObjectListIterator it;
  XMLAttribute *attr=(XMLAttribute *)_attributes.first(it);

  while(attr) {
	if(attr->get_name()==name) {
	  return *attr;
	}
	attr=(XMLAttribute *)_attributes.next(it);
  }
  
  return unknownAttribute;
}

