/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __XMLBASE_H__
#define __XMLBASE_H__

#include <iostream.h>
#include "baseclasses.h"




typedef String XMLString;

/*	=============================================
	Base XML classes for all purposes
	============================================= */


class XMLAttribute : public Object
{
 public:
  XMLAttribute() {
	// cout << this << "::XMLAttribute()" << endl;
  };
  XMLAttribute(const XMLString& name, const XMLString& value) {
	// cout << this << "::XMLAttribute(name, value)" << endl;
	_name=name;
	_value=value;
  }
  virtual ~XMLAttribute() {
	// cout << this << "::~XMLAttribute()" << endl;
	_name=NULL;
	_value=NULL;
  }
  XMLString& get_name() { return _name; }
  XMLString& get_value() { return _value; }

  int operator==(const XMLAttribute& attr) {
	return _value==attr._value;
  }
  int operator!=(const XMLAttribute& attr) {
	return _value!=attr._value;
  }
  int operator==(const XMLString& string) {
	return _value==string;
  }
  int operator!=(const XMLString& string) {
	return _value!=string;
  }

 protected:	
  XMLString _name;
  XMLString _value;
};



class XMLElement : public Object
{
 public:
  XMLElement();
  ~XMLElement();

  void set_name(const XMLString& value) { _name=value; }
  XMLString& get_name() { return _name; }

  void add_attribute(const XMLString& name, const XMLString& value);
  XMLAttribute& get_attribute(const XMLString& name);

 protected:
  XMLString _name;

  ObjectList _attributes;
};


extern XMLAttribute invalidAttribute;
extern XMLAttribute unknownAttribute;


#endif
