/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __DEBUG_H__
#define __DEBUG_H__


#include "baseclasses.h"

class Debug : public Object
{
 public:
  enum eDebugLevel {
	level_debug=0,
	level_info,
	level_warning,
	level_error,
	level_silent
  };

 public:
  Debug(eDebugLevel level) : _my_level(level) {};
  ~Debug() {};

  static void set_max_level(eDebugLevel max_level) {
	Debug::_max_level=max_level;
  }

  Debug& operator<<(String& value) {
	if(_my_level>=_max_level) cout << value;
	return *this;
  }

  Debug& operator<<(int value) {
	if(_my_level>=_max_level) cout << value;
	return *this;
  }

  Debug& operator<<(char *value) {
	if(_my_level>=_max_level) cout << value;
	return *this;
  }

  Debug& operator<<(const char* value){
	if(_my_level>=_max_level) cout << value;
	return *this;
  }

  Debug& operator<<(ostream & (&)(ostream &)) {
	if(_my_level>=_max_level) cout << endl;
	return *this;
  }
 protected:
  eDebugLevel _my_level;
  static eDebugLevel _max_level;
};

extern Debug cdebug;
extern Debug cinfo;
extern Debug cwarning;
extern Debug cerror;


#endif
