/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __ALTCONNECTIONDIALOG_H__
#define __ALTCONNECTIONDIALOG_H__

#include <subwaymap/SubwayMap.h>
#include <subwaymap/RouteFinder.h>


#include <qdialog.h>
#include <qlistview.h>
#include <qlabel.h>


#include "UBahnIconStore.h"

#include "altconnectiondialogbase.h"

class AltConnectionItem;

class AltConnectionDialog : public AltConnectionDialogBase
{
  Q_OBJECT;
 public:
  AltConnectionDialog(QWidget *parent=NULL, const char *name=0, bool modal=true, WFlags fl=0);
  virtual ~AltConnectionDialog();

  void set_startStation(Station *station) { _startStation=station; }
  void set_destStation(Station *station) { _destStation=station; }
  void set_subwayMap(SubwayMap *subwayMap) { _subwayMap=subwayMap; }

  void start_findConnections();

  void cleanup();

  void set_iconStore(UBahnIconStore *iconStore) { _iconStore=iconStore; }
  

 protected:
  
 public:
  // ==== UI Elements ================================

 protected:
  RouteFinder _routeFinder;
  SubwayMap *_subwayMap;
  UBahnIconStore *_iconStore;
  Station *_startStation;
  Station *_destStation;

  QWidget *_parent;

//private slots:

};


class AltConnectionItem : public QListViewItem
{
  // Q_OBJECT;
 public:
  AltConnectionItem(QListView *parent, QListViewItem *lastItem, QPixmap *pixmap, const char *name, const char *direction, int timeToGo);
  virtual ~AltConnectionItem();
  
 protected:

};




#endif
