/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __LINEINFODIALOG_H__
#define __LINEINFODIALOG_H__

#include <subwaymap/SubwayMap.h>

#include <qlistview.h>

#include "UBahnIconStore.h"

#include "lineinfodialogbase.h"

class LineInfoDialog : public LineInfoDialogBase
{
  Q_OBJECT;
 public:
    LineInfoDialog( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
    ~LineInfoDialog();

	void set_subwayMap(SubwayMap *subwayMap) { _subwayMap=subwayMap; }
	void set_iconStore(UBahnIconStore *iconStore) { _iconStore=iconStore; }
	void set_lineAndRoute(Line *line, RouteOfLine *routeOfLine);


	void set_operationTimes();

	void cleanup();
	
 protected:
	SubwayMap *_subwayMap;
	UBahnIconStore *_iconStore;
	Line *_line;
	RouteOfLine *_routeOfLine;
	
 private slots:
 	void selectedRouteOfLine(int index);
};


class LineInfoRouteItem : public QListViewItem
{
 public:
 	LineInfoRouteItem(QListView *parent, QListViewItem *lastItem, const char *strStation, int ttn, int ttp, bool oneway);
 	~LineInfoRouteItem();
 	
 protected:
  friend class LineInfoDialog;
  void setLastItem(QListViewItem *lastItem) { _lastItem=lastItem; }
  QListViewItem *getLastItem() { return _lastItem; }
  QListViewItem *_lastItem;

};

class OperationTimeItem : public QListViewItem
{
 public:
 	OperationTimeItem(QListView *parent, QListViewItem *lastItem, QString& dayname, QString& operationTimes);
 	~OperationTimeItem() {};

 protected:
 
};
	
#endif
