/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __LINELISTDIALOG_H__
#define __LINELISTDIALOG_H__

#include <subwaymap/SubwayMap.h>

#include <qdialog.h>
#include <qlistview.h>

#include "UBahnIconStore.h"

#include "linelistdialogbase.h"

#include "LineInfoDialog.h"

class LineListItem;

class LineListDialog : public LineListDialogBase
{
  Q_OBJECT;
 public:
  LineListDialog(QWidget *parent=NULL, const char *name=0, bool modal=true, WFlags fl=0);
  virtual ~LineListDialog();

  void load_subwayMap(SubwayMap *subwayMap);
  void clear_lines();

  void set_iconStore(UBahnIconStore *iconStore) { _iconStore=iconStore; }

 protected:
  LineInfoDialog *_lineInfoDialog;
  
 public:
  // ==== UI Elements ================================

 protected:
  SubwayMap *_subwayMap;
  UBahnIconStore *_iconStore;

  QWidget *_parent;

private slots:
  void lineSelected(QListViewItem *item);

};


class LineListItem : public QListViewItem
{
  // Q_OBJECT;
 public:
  LineListItem(QListView *parent, QListViewItem *lastItem, QPixmap *pixmap, const char *name, Line *line);
  virtual ~LineListItem();
  
  Line *get_line() { return _line; }
  
 protected:
  Line *_line;
};




#endif
