/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qlabel.h>

#include "MapInfoDialog.h"

MapInfoDialog::MapInfoDialog(QWidget *parent)
  : MapInfoDialogBase(parent, "mapInfo", true, 0)
{
}

MapInfoDialog::~MapInfoDialog()
{
}


void MapInfoDialog::load_subwayMap(SubwayMap *subwayMap)
{
  if(!subwayMap) return;

  QString text;

  text=(const char *)subwayMap->get_name();
  _nameEdit->setText(text);

  text=(const char *)subwayMap->get_city();
  _cityEdit->setText(text);

  text=(const char *)subwayMap->get_created();
  _createdEdit->setText(text);

  text=(const char *)subwayMap->get_created_by();
  _byEdit->setText(text);

  text=(const char *)subwayMap->get_version();
  _versionEdit->setText(text);

  text=(const char *)subwayMap->get_last_change();
  _changedEdit->setText(text);

  int n=subwayMap->get_numLines();
  text.setNum(n);
  _linesEdit->setText(text);

  n=subwayMap->get_numStations();
  text.setNum(n);
  _stationsEdit->setText(text);

  text=(const char *)subwayMap->get_descr();
  _descEdit->setText(text);

  
}

