/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __MAPLOADERTHREAD_H__
#define __MAPLOADERTHREAD_H__

#include <subwaymap/SubwayMap.h>
#include <subwaymap/SMXMLSubwayMapParser_Qt.h>

#include "PThread.h"

class MapLoaderThread : public PThread
{
 public:
  MapLoaderThread(const char *fileName, SubwayMap *subwayMap) : PThread(),
	_subwayMap(subwayMap), _fileName(const_cast<char *>(fileName)) { }
  ~MapLoaderThread() {}

  virtual int run();

 protected:
  SubwayMap *_subwayMap;
  char *_fileName;
};

#endif
