/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include "OpTimeDialog.h"

#include <qcombobox.h>
#include <qlabel.h>
#include <qbutton.h>
#include <qdatetime.h>


OpTimeDialog::OpTimeDialog( QWidget* parent, const char* name, bool modal, WFlags fl ):
  OpTimeDialogBase(parent, name, modal, fl)
{

  connect((QObject*)_buttonNow, SIGNAL(clicked()), this, SLOT(setTimeNow()));
  connect((QObject*)_comboDay, SIGNAL(activated(int)), this, SLOT(hasSelected(int)));
  connect((QObject*)_comboTime, SIGNAL(activated(int)), this, SLOT(hasSelected(int)));

  // set focus
  // fileNameText->setFocus();
}


OpTimeDialog::~OpTimeDialog()
{

}

void OpTimeDialog::set_dayAndTime(unsigned int newday, unsigned int newtime)
{
	_comboDay->setCurrentItem(newday);
	_comboTime->setCurrentItem(newtime);
}

void OpTimeDialog::get_dayAndTime(unsigned int *pday, unsigned int *ptime)
{
	*pday=_comboDay->currentItem();
	*ptime=_comboTime->currentItem();
}

void OpTimeDialog::setTimeNow()
{
	int dayOfWeek=QDate::currentDate().dayOfWeek();
	int hourOfDay=QTime::currentTime().hour();
	
	_comboDay->setCurrentItem(dayOfWeek-1);
	_comboTime->setCurrentItem(hourOfDay);
	_hasSelected=false;
}

void OpTimeDialog::hasSelected(int index)
{
	_hasSelected=true;
}
