/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include "OpenMapDialog.h"

#include <qlistbox.h>
#include <qdir.h>


OpenMapDialog::OpenMapDialog( QWidget* parent, const char* name, bool modal, WFlags fl ):
  OpenMapDialogBase(parent, name, modal, fl)
{

  // connect(_filesListBox, SIGNAL(clicked(const QListBoxItem *)), this, SLOT(changed(const QListBoxItem *)));

  // set focus
  // fileNameText->setFocus();
}


OpenMapDialog::~OpenMapDialog()
{

}

bool OpenMapDialog::readDirectory(const QString& path)
{
  _filesListBox->clear();

  QDir ubahnDir(path);
  ubahnDir.setFilter(QDir::Files);

  const QFileInfoList *list=ubahnDir.entryInfoList();
  QFileInfoListIterator it(*list);
  QFileInfo *fi;

  while((fi=it.current())) {
	QString fileName=fi->fileName();

	if(fileName.right(6)==".ubahn") {
	  _filesListBox->insertItem(fileName);
	}
	
	++it;
  }
  return true;
}
void OpenMapDialog::changed(const QListBoxItem *newItem)
{
  if(!newItem) return;
  _fileNameText=newItem->text();

}

QString& OpenMapDialog::get_fileName()
{
  _fileNameText=_filesListBox->currentText();
  return _fileNameText;
}
void OpenMapDialog::set_itemtext(const QString& newText)
{
  _fileNameText=newText;
  // fileNameText->insert(_fileNameText);
}
