/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include "PThread.h"

PThread::PThread() :
  _t(0),  _threadState(pts_none)
{
  pthread_attr_init(&_attr);
}

PThread::~PThread()
{
  pthread_attr_destroy(&_attr);
}

bool PThread::start()
{
  int rc;

  rc=pthread_create(&_t, &_attr, PThread::threadRun, this);
  if(rc==0) return true;

  return false;
}


void *PThread::threadRun(void *ptr)
{
  int rc;

  PThread *thisThread=(PThread *)ptr;

  thisThread->_threadState=pts_running;
  rc=thisThread->run();
  thisThread->_threadState=pts_finished;

  pthread_exit(&rc);
}

