/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __PTHREAD_H__
#define __PTHREAD_H__

#include <pthread.h>

class PThread
{
 protected:
  enum ePThreadState {
	pts_none=0,
	pts_running,
	pts_finished
  };

 public:
  PThread();
  virtual ~PThread();
  bool start();

  bool finished() { return (_threadState==pts_finished)?true:false; }
  bool running() { return (_threadState==pts_running)?true:false; }

 protected:
  virtual int run()=0;

  static void *threadRun(void *ptr);

  pthread_t _t;
  pthread_attr_t _attr;
  
  ePThreadState _threadState;
};


#endif
