/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include "SimpleConfig.h"
#include <stdlib.h>

SimpleConfig::SimpleConfig(const char *fileName)
{
  char *home=getenv("HOME");

  _fileName=home;
  _fileName+="/";
  _fileName+=fileName;

  _lastShowPassedStations="false";
}

bool SimpleConfig::read()
{
  QFile f(_fileName);
  QString tmpStr;

  if(f.open(IO_ReadOnly)==false) {
	return false;
  }

  while(!f.atEnd()) {
	if(f.readLine(tmpStr, 80)>0) {
	  
	  if(tmpStr.isEmpty())
		continue;

	  tmpStr=tmpStr.stripWhiteSpace();

	  if(tmpStr.startsWith("LastDataFile=")) {
		_lastDataFile=tmpStr.right(tmpStr.length()-13);
		continue;
	  }
	  if(tmpStr.startsWith("LastStartStation=")) {
		_lastStartStation=tmpStr.right(tmpStr.length()-17);
		continue;
	  }
	  if(tmpStr.startsWith("LastDestStation=")) {
		_lastDestStation=tmpStr.right(tmpStr.length()-16);
		continue;
	  }
	  if(tmpStr.startsWith("ShowPassedStations=")) {
		_lastShowPassedStations=tmpStr.right(tmpStr.length()-19);
		continue;
	  }
	}
  }
  f.close();
  return true;
}

bool SimpleConfig::write()
{
  QFile f(_fileName);

  if(f.open(IO_WriteOnly)==false) {
	return false;
  }
  QTextStream textStream;
  textStream.setDevice(&f);

  textStream << "LastDataFile=" << _lastDataFile << endl;
  textStream << "LastStartStation=" << _lastStartStation << endl;
  textStream << "LastDestStation=" << _lastDestStation << endl;
  textStream << "ShowPassedStations=" << _lastShowPassedStations << endl;

  f.close();
  return true;
}
