/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __SIMPLECONFIG_H__
#define __SIMPLECONFIG_H__

#include "qobject.h"
#include "qfile.h"
#include "qtextstream.h"
#include "qstring.h"

class SimpleConfig : public QObject
{
 public:
  SimpleConfig(const char *name);
  ~SimpleConfig() {};

  bool read();
  bool write();

 protected:
  QString _fileName;

 public: // keep it easy
  QString _lastDataFile;	// last UBahn data file used
  QString _lastStartStation;// last start station
  QString _lastDestStation; // last destination
  QString _lastShowPassedStations; // Settings: Show more routes?
};

#endif
