/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include "StationInfoDialog.h"

#include <qlabel.h>
#include <qlistbox.h>


StationInfoDialog::StationInfoDialog( QWidget* parent, const char* name, bool modal, WFlags fl ):
  StationInfoDialogBase(parent, name, modal, fl)
{

/*
  connect((QObject*)_buttonNow, SIGNAL(clicked()), this, SLOT(setTimeNow()));
  connect((QObject*)_comboDay, SIGNAL(activated(int)), this, SLOT(hasSelected(int)));
  connect((QObject*)_comboTime, SIGNAL(activated(int)), this, SLOT(hasSelected(int)));
*/

}


StationInfoDialog::~StationInfoDialog()
{

}

void StationInfoDialog::set_station(Station *station)
{
	int index=0;
	String& name=station->get_name();
	String& id=station->get_id();
	
	_stationLabel->setText(QString((const char*)name));
	
	if(!_subwayMap)
		return;
	if(!_iconStore)
		return;

	ObjectListIterator it;
	ServingLine *sl=station->first_servingLine(it);
	while(sl) {
		Line *line=_subwayMap->find_lineById(sl->get_id());
		if(line) {
			QString strLine;
			strLine=(const char *)line->get_name();
			strLine+=" (";
			strLine+=(const char *)line->get_class();
			strLine+=")";
			QPixmap *pixLine=_iconStore->find_iconByLineId(line->get_id());

			if(pixLine) {
				_linesList->insertItem(*pixLine, strLine);
			} else {
				_linesList->insertItem(strLine);
			}
		}
		sl=station->next_servingLine(it);
	}
}

void StationInfoDialog::cleanup()
{
	_linesList->clear();
}

