/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __STATIONINFODIALOG_H__
#define __STATIONINFODIALOG_H__

#include <subwaymap/SubwayMap.h>

#include "UBahnIconStore.h"

#include "stationinfodialogbase.h"

class StationInfoDialog : public StationInfoDialogBase
{
  Q_OBJECT;
 public:
    StationInfoDialog( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
    ~StationInfoDialog();

	void set_subwayMap(SubwayMap *subwayMap) { _subwayMap=subwayMap; }
	void set_iconStore(UBahnIconStore *iconStore) { _iconStore=iconStore; }
	void set_station(Station *station);

	void cleanup();
	
 protected:
	SubwayMap *_subwayMap;
	UBahnIconStore *_iconStore;
	Station *_station;
	
 private slots:
};

#endif
