/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __STATIONLISTFORM_H__
#define __STATIONLISTFORM_H__

#include <subwaymap/SubwayMap.h>

#include <qdialog.h>
#include <qlistview.h>
#include <qpixmap.h>

#include "UBahnIconStore.h"

class StationListDialog : public QDialog
{
  Q_OBJECT;

 public:
  StationListDialog(QWidget *parent=0, const char *name=0, bool modal=true, WFlags fl=0);
  ~StationListDialog();

  int load_subwayMap(SubwayMap *subwayMap);
  int clear_stations();

  void set_iconStore(UBahnIconStore *iconStore) { _iconStore=iconStore; }

  void resizeIt();

 protected:
  // ---- UI elements ------- 
  QListView *_stationListView;

 protected:
  SubwayMap *_subwayMap;
  UBahnIconStore *_iconStore;

  QWidget *_parent;

 private slots:
   
};
#endif
