/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/


#include "UBahnDataFile.h"
#include <stdlib.h>

UBahnDataFile::UBahnDataFile(const char *fileName)
{
  _fileName=fileName;
}

bool UBahnDataFile::read()
{
  QFile f(_fileName);
  QString tmpStr;

  if(f.open(IO_ReadOnly)==false) {
	return false;
  }

  while(!f.atEnd()) {
	if(f.readLine(tmpStr, 80)>0) {
	  if(tmpStr.isEmpty())
		continue;

	  tmpStr=tmpStr.stripWhiteSpace();

	  if(tmpStr.startsWith("MapDir=")) {
		_mapDir=tmpStr.right(tmpStr.length()-7);
		continue;
	  }
	  if(tmpStr.startsWith("SubwayMap=")) {
		_subwayMapFile=tmpStr.right(tmpStr.length()-10);
		continue;
	  }
	  if(tmpStr.startsWith("IconFile=")) {
		_iconFile=tmpStr.right(tmpStr.length()-9);
		continue;
	  }
	  if(tmpStr.startsWith("POIFile=")) {
		_poiFile=tmpStr.right(tmpStr.length()-8);
		continue;
	  }
	}
  }
  f.close();
  return true;
}
