/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __UBAHNDATAFILE_H__
#define __UBAHNDATAFILE_H__

#include "qobject.h"
#include "qfile.h"
#include "qstring.h"


/* --- UBahn Datafile ---------------
   References to xml-files

   Sample: hamburg.ubahn

   MapDir=hamburg
   SubwayMap=hamburg_map.xml
   IconFile=hamburg_icon.xml
   POIFile=hamburg_poi.xml

   ---------------------------------- */


class UBahnDataFile : public QObject
{
 public:
  UBahnDataFile(const char *name);
  ~UBahnDataFile() {};

  bool read();
  
 protected:
  QString _fileName;

 public: // keep it easy
  QString _mapDir;			// MapDir=<directory>
  QString _subwayMapFile;	// SubwayMap=<city_map.xml>
  QString _iconFile;        // IconFile=<city_icon.xml>
  QString _poiFile;         // POIFile=<city_poi.xml>
};



#endif
