/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/


#include "UBahnIconStore.h"


smerr_t UBahnIconStore::add_lineIcon(const char *line, const char *file)
{
  UBahnIcon *icon=new UBahnIcon;
  int rc;

  icon->set_lineid(line);
  if((rc=icon->load_pixmap(file))!=smeOK)
	return rc;

  _lineIcons.add(icon);
  return smeOK;
}

QPixmap *UBahnIconStore::find_iconByLineId(const char *lineid)
{
  ObjectListIterator it;
  UBahnIcon *icon=(UBahnIcon *)_lineIcons.first(it);
  while(icon) {
	if(icon->get_lineid()==lineid) { // found
	  return &icon->get_pixmap();
	}
	icon=(UBahnIcon *)_lineIcons.next(it);
  }
  return NULL;
}


smerr_t UBahnIcon::load_pixmap(const char *filename)
{
  if(_pixmap.load(QString(filename)))
	 return smeOK;	
  return smeFILE_NOT_FOUND;
}



