/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __UBAHNICONSTORE_H__
#define __UBAHNICONSTORE_H__

#include <subwaymap/baseclasses.h>
#include <subwaymap/SMError.h>

#include <qpixmap.h>

class UBahnIcon;
class UBahnIconStore : public Object
{
 public:
  UBahnIconStore() {}
  virtual ~UBahnIconStore() {}

  smerr_t add_lineIcon(const char *line, const char *file);
  QPixmap *find_iconByLineId(const char *lineid);

  void cleanup() { _lineIcons.cleanup(1); }
 protected:
  ObjectList _lineIcons;
};



class UBahnIcon : public Object
{
 public:
  UBahnIcon() {}
  virtual ~UBahnIcon() {}

  void set_lineid(const char *lineid) { _lineid=lineid; }
  String& get_lineid() { return _lineid; }

  smerr_t load_pixmap(const char *filename);
  QPixmap& get_pixmap() { return _pixmap; };


 protected:
  String _lineid;
  String _filename;
  QPixmap _pixmap;
};




#endif
